## e-text-event-processor-types e-text-event-processor-types |

## Types and Values

enum | ETextEventProcessorCommandPosition
enum | ETextEventProcessorCommandAction
| ETextEventProcessorCommand
| ETextEventProcessorEventButton
| ETextEventProcessorEventKey
| ETextEventProcessorEventMotion
union | ETextEventProcessorEvent
enum | ETextEventProcessorCaps

## Description

## Functions

## Types and Values

### enum ETextEventProcessorCommandPosition

`ETextEventProcessorCommandPosition` is deprecated and should not be used in newly-written code.

#### Members

E_TEP_VALUE |  |
E_TEP_SELECTION |  |
E_TEP_START_OF_BUFFER |  |
E_TEP_END_OF_BUFFER |  |
E_TEP_START_OF_LINE |  |
E_TEP_END_OF_LINE |  |
E_TEP_FORWARD_CHARACTER |  |
E_TEP_BACKWARD_CHARACTER |  |
E_TEP_FORWARD_WORD |  |
E_TEP_BACKWARD_WORD |  |
E_TEP_FORWARD_LINE |  |
E_TEP_BACKWARD_LINE |  |
E_TEP_FORWARD_PARAGRAPH |  |
E_TEP_BACKWARD_PARAGRAPH |  |
E_TEP_FORWARD_PAGE |  |
E_TEP_BACKWARD_PAGE |  |
E_TEP_SELECT_WORD |  |
E_TEP_SELECT_ALL |  |

### enum ETextEventProcessorCommandAction

`ETextEventProcessorCommandAction` is deprecated and should not be used in newly-written code.

#### Members

E_TEP_MOVE |  |
E_TEP_SELECT |  |
E_TEP_DELETE |  |
E_TEP_INSERT |  |
E_TEP_CAPS |  |
E_TEP_COPY |  |
E_TEP_PASTE |  |
E_TEP_GET_SELECTION |  |
E_TEP_SET_SELECT_BY_WORD |  |
E_TEP_ACTIVATE |  |
E_TEP_GRAB |  |
E_TEP_UNGRAB |  |
E_TEP_NOP |  |

### ETextEventProcessorCommand

    typedef struct {
    	ETextEventProcessorCommandPosition position;
    	ETextEventProcessorCommandAction action;
    	gint value;
    	const gchar *string;
    	GdkDevice *device;
    	guint32 time;
    } ETextEventProcessorCommand;

`ETextEventProcessorCommand` is deprecated and should not be used in newly-written code.

### ETextEventProcessorEventButton

    typedef struct {
    	GdkEventType type;
    	guint32 time;
    	guint state;
    	guint button;
    	gint position;
    	GdkDevice *device;
    } ETextEventProcessorEventButton;

`ETextEventProcessorEventButton` is deprecated and should not be used in newly-written code.

### ETextEventProcessorEventKey

    typedef struct {
    	GdkEventType type;
    	guint32 time;
    	guint state;
    	guint keyval;
    	gint length;
    	const gchar *string;
    } ETextEventProcessorEventKey;

`ETextEventProcessorEventKey` is deprecated and should not be used in newly-written code.

### ETextEventProcessorEventMotion

    typedef struct {
    	GdkEventType type;
    	guint32 time;
    	guint state;
    	gint position;
    } ETextEventProcessorEventMotion;

`ETextEventProcessorEventMotion` is deprecated and should not be used in newly-written code.

### union ETextEventProcessorEvent

`ETextEventProcessorEvent` is deprecated and should not be used in newly-written code.

### enum ETextEventProcessorCaps

`ETextEventProcessorCaps` is deprecated and should not be used in newly-written code.

#### Members

E_TEP_CAPS_UPPER |  |
E_TEP_CAPS_LOWER |  |
E_TEP_CAPS_TITLE |  |